---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libhs103t002.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50E70, symBinAddr: 0x7200, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52DB0, symBinAddr: 0x9140, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x531A0, symBinAddr: 0x9530, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54140, symBinAddr: 0xA4D0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54150, symBinAddr: 0xA4E0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50AF0, symBinAddr: 0x70D0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50AF4, symBinAddr: 0x70D4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50AF8, symBinAddr: 0x70D8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50C40, symBinAddr: 0x70E0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50CF8, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50CFC, symBinAddr: 0x719C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50D00, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50D04, symBinAddr: 0x71A4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50D08, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50D10, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50D28, symBinAddr: 0x71C8, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50D30, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50D38, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50D40, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50D48, symBinAddr: 0x71E8, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50D90, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0x90ED, offset: 0x90ED, size: 0x8, addend: 0x0, symName: __ZL15testAgentThread, symObjAddr: 0x50D98, symBinAddr: 0x71F8, symSize: 0x0 }
  - { offsetInCU: 0x913F, offset: 0x913F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1320, symSize: 0x80 }
  - { offsetInCU: 0x91D4, offset: 0x91D4, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1270, symSize: 0xB0 }
  - { offsetInCU: 0x922F, offset: 0x922F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1170, symSize: 0x100 }
  - { offsetInCU: 0x94C2, offset: 0x94C2, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x13A0, symSize: 0xC0 }
  - { offsetInCU: 0x9514, offset: 0x9514, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1460, symSize: 0x220 }
  - { offsetInCU: 0x96F9, offset: 0x96F9, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1680, symSize: 0xA0 }
  - { offsetInCU: 0x97AC, offset: 0x97AC, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1720, symSize: 0x110 }
  - { offsetInCU: 0x98A2, offset: 0x98A2, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1830, symSize: 0x150 }
  - { offsetInCU: 0x99F3, offset: 0x99F3, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1980, symSize: 0x30 }
  - { offsetInCU: 0x9A7C, offset: 0x9A7C, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x19B0, symSize: 0x150 }
  - { offsetInCU: 0x9C74, offset: 0x9C74, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1B00, symSize: 0x160 }
  - { offsetInCU: 0x9DEF, offset: 0x9DEF, size: 0x8, addend: 0x0, symName: __Z20nsk_jni_lverify_voidP7JNIEnv_PKciS2_z, symObjAddr: 0x1EF0, symBinAddr: 0x1C60, symSize: 0x150 }
  - { offsetInCU: 0xA072, offset: 0xA072, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1DB0, symSize: 0x4A0 }
  - { offsetInCU: 0xA30B, offset: 0xA30B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x2250, symSize: 0x1B0 }
  - { offsetInCU: 0xA526, offset: 0xA526, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x2400, symSize: 0xA0 }
  - { offsetInCU: 0xA64D, offset: 0xA64D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_redefineClass, symObjAddr: 0x2BC0, symBinAddr: 0x24A0, symSize: 0x2D0 }
  - { offsetInCU: 0xA92F, offset: 0xA92F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2770, symSize: 0x20 }
  - { offsetInCU: 0xA966, offset: 0xA966, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x2790, symSize: 0x20 }
  - { offsetInCU: 0xA99D, offset: 0xA99D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x27B0, symSize: 0x20 }
  - { offsetInCU: 0xAB0C, offset: 0xAB0C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x27D0, symSize: 0x1A0 }
  - { offsetInCU: 0xAE2A, offset: 0xAE2A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2970, symSize: 0x80 }
  - { offsetInCU: 0xAEF3, offset: 0xAEF3, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x29F0, symSize: 0x6C0 }
  - { offsetInCU: 0xBA69, offset: 0xBA69, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA4A0, symBinAddr: 0x3EB0, symSize: 0xB0 }
  - { offsetInCU: 0xBAE0, offset: 0xBAE0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x30B0, symSize: 0x70 }
  - { offsetInCU: 0xBB9C, offset: 0xBB9C, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3120, symSize: 0xA0 }
  - { offsetInCU: 0xBC7B, offset: 0xBC7B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x31C0, symSize: 0x40 }
  - { offsetInCU: 0xBD71, offset: 0xBD71, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3200, symSize: 0x2B0 }
  - { offsetInCU: 0xC117, offset: 0xC117, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x34B0, symSize: 0xC0 }
  - { offsetInCU: 0xC25D, offset: 0xC25D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3570, symSize: 0x10 }
  - { offsetInCU: 0xC31F, offset: 0xC31F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3580, symSize: 0x240 }
  - { offsetInCU: 0xC64E, offset: 0xC64E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x37C0, symSize: 0xA0 }
  - { offsetInCU: 0xC78F, offset: 0xC78F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E50, symBinAddr: 0x3860, symSize: 0xA0 }
  - { offsetInCU: 0xC942, offset: 0xC942, size: 0x8, addend: 0x0, symName: _doRedefineInNativeThread, symObjAddr: 0x9EF0, symBinAddr: 0x3900, symSize: 0x380 }
  - { offsetInCU: 0xCE08, offset: 0xCE08, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0xA270, symBinAddr: 0x3C80, symSize: 0xB0 }
  - { offsetInCU: 0xCE6F, offset: 0xCE6F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS103_hs103t002_hs103t002_startAgentThread, symObjAddr: 0xA320, symBinAddr: 0x3D30, symSize: 0x180 }
  - { offsetInCU: 0xD109, offset: 0xD109, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA550, symBinAddr: 0x3F60, symSize: 0x36A }
...
